Acknowledge the consent notification
Consent notifications, specifically for cases when consent is APPROVED, DENIED, or REVOKED or EXPIRED.
Notified by CM earlier via Gateway API - /api/v3/hiu/consent/request/notify The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended The status of the notification. Allows alpha numeric character and special characters like "^[a-zA-Z0-9_\\-@,. \":/]{0,255}$" The consent artefact id. Should be valid UUID. Allows alpha numeric character and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$" The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( The appropriate error message The request id is from the /hiu/consent/request/notify callback The requestId that was passed. it must be in Alpha numeric and - in middle and Allows alpha numeric character and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}" Unauthorized 900901 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredBody
acknowledgementobject[]Requiredacknowledgement.statusstringRequiredacknowledgement.consentIdstringRequirederrorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequiredresponseobjectRequiredresponse.requestIdstringRequiredResponses
401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- You make this call in reply to This is a callback api to notify hiu when consent is APPROVED, DENIED or REVOKED., which ABDM posts to
/api/v3/hiu/consent/request/notify. Open the callback.